local socket = require "socket"
udp = socket.udp ()
local address = "localhost"
local port = 2002
local name = os.time() + math.random(1, 10000)
local command = {}
udp:settimeout(0)
udp:setpeername(address, port)

local jump = false
local goLeft = false
local goRight = false
local playerPositionX = 20
local playerPositionY = 330
local jumpTen = 0

udp:send("connect "..name)

local consoleText = ""
local rounds = 0
function console(text)
	if rounds == 10 then
		consoleText = ""
		rounds = 0
	end
	rounds = rounds + 1
	consoleText = text..string.char(10)..consoleText
end

function love.load()
  canvas = love.graphics.newCanvas()
  local str = love.filesystem.read('CRT.frag')
  shader = love.graphics.newShader(str)
  shader:send('inputSize', {love.graphics.getWidth(), love.graphics.getHeight()})
  shader:send('textureSize', {love.graphics.getWidth(), love.graphics.getHeight()})
end

function love.update()
	if goLeft == true then
		playerPositionX = playerPositionX - 4
	end
	if goRight == true then
		playerPositionX = playerPositionX + 4
	end
	if jump == true then
		jumpTen = jumpTen + 1
		if jumpTen < 13 then
			playerPositionY = playerPositionY - 10
		elseif jumpTen > 13 and jumpTen ~= 26 then
			playerPositionY = playerPositionY + 10
		elseif jumpTen == 26 then
			jumpTen = 0
			jump = false
		end
	end
	repeat
		data, msg = udp:receive()
		if data then
			for i in string.gmatch(data, "%S+") do
				table.insert(command, i)
			end
		end
	until not data
end

function love.draw()
	love.graphics.setCanvas(canvas) 
	love.graphics.setColor(155, 155, 155)
	love.graphics.rectangle("fill", 0, 400, 800, 200)
	love.graphics.setColor(255, 155, 155)
	love.graphics.rectangle("fill", playerPositionX, playerPositionY, 70, 70)

	love.graphics.print(consoleText, 0, 0)
	love.graphics.setCanvas()
  love.graphics.setShader(shader)
  love.graphics.draw(canvas)
  love.graphics.setShader()
end

function love.keypressed(key)
	if key == "space" then
		jump = true
	end
	if key == "a" then
		goLeft = true
	end
	if key == "d" then
		goRight = true
	end
end

function love.keyreleased(key)
	if key == "a" then
		goLeft = false
	end
	if key == "d" then
		goRight = false
	end
end